import { PropType } from "vue";
import type { tiposTabelaCelulas } from "./tiposTabelaCelulas";
declare const __VLS_export: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    dados: {
        type: PropType<tiposTabelaCelulas["data"]>;
        required: false;
    };
}>, {
    dados: {
        valor: string;
        formato: "data" | "data_hora" | "relativo";
        acao?: () => void;
    } | undefined;
    textoData: import("vue").ComputedRef<string>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    dados: {
        type: PropType<tiposTabelaCelulas["data"]>;
        required: false;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
